nxt.ms

## Class ExchangeHome

- java.lang.Object
- - nxt.ms.ExchangeHome

-     public final class ExchangeHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExchangeHome.Event`
    `class` | `ExchangeHome.Exchange`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<ExchangeHome.Exchange> listener, ExchangeHome.Event eventType)`
    `static ExchangeHome` | `forChain(ChildChain childChain)`
    `DbIterator<ExchangeHome.Exchange>` | `getAccountCurrencyExchanges(long accountId, long currencyId, int from, int to)`
    `DbIterator<ExchangeHome.Exchange>` | `getAccountExchanges(long accountId, int from, int to)`
    `DbIterator<ExchangeHome.Exchange>` | `getAllExchanges(int from, int to)`
    `int` | `getCount()`
    `DbIterator<ExchangeHome.Exchange>` | `getCurrencyExchanges(long currencyId, int from, int to)`
    `int` | `getExchangeCount(long currencyId)`
    `DbIterator<ExchangeHome.Exchange>` | `getExchanges(long transactionId)`
    `java.util.List<ExchangeHome.Exchange>` | `getLastExchanges(long[] currencyIds)`
    `DbIterator<ExchangeHome.Exchange>` | `getOfferExchanges(long offerId, int from, int to)`
    `static boolean` | `removeListener(Listener<ExchangeHome.Exchange> listener, ExchangeHome.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static ExchangeHome forChain(ChildChain childChain)

    - #### addListener

          public static boolean addListener(Listener<ExchangeHome.Exchange> listener,
                                            ExchangeHome.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<ExchangeHome.Exchange> listener,
                                               ExchangeHome.Event eventType)

    - #### getAllExchanges

          public DbIterator<ExchangeHome.Exchange> getAllExchanges(int from,
                                                                   int to)

    - #### getCount

          public int getCount()

    - #### getCurrencyExchanges

          public DbIterator<ExchangeHome.Exchange> getCurrencyExchanges(long currencyId,
                                                                        int from,
                                                                        int to)

    - #### getLastExchanges

          public java.util.List<ExchangeHome.Exchange> getLastExchanges(long[] currencyIds)

    - #### getAccountExchanges

          public DbIterator<ExchangeHome.Exchange> getAccountExchanges(long accountId,
                                                                       int from,
                                                                       int to)

    - #### getAccountCurrencyExchanges

          public DbIterator<ExchangeHome.Exchange> getAccountCurrencyExchanges(long accountId,
                                                                               long currencyId,
                                                                               int from,
                                                                               int to)

    - #### getExchanges

          public DbIterator<ExchangeHome.Exchange> getExchanges(long transactionId)

    - #### getOfferExchanges

          public DbIterator<ExchangeHome.Exchange> getOfferExchanges(long offerId,
                                                                     int from,
                                                                     int to)

    - #### getExchangeCount

          public int getExchangeCount(long currencyId)